This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1247091 - Cannot get expected result with https://github.com/openshift/centos7-wordpress
Cannot get expected result with https://github.com/openshift/centos7-wordpress
Status: CLOSED WONTFIX
Product: OpenShift Origin
Classification: Red Hat
Component: Templates (Show other bugs)
3.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Erik M Jacobs
XiuJuan Wang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 06:23 EDT by Wenjing Zheng
Modified: 2016-01-19 18:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-19 18:48:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wenjing Zheng 2015-07-27 06:23:05 EDT
Description:
Cannot get expected result when curl on either port 80 or 22, errors in pod log are as below:
[fedora@ip-10-164-163-66 sample-app]$ oc logs centos7-wordpress-1-owdzh
useradd: Permission denied.
ssh user password: hohN0Fee
useradd: cannot lock /etc/passwd; try again later.
chpasswd: Permission denied.
chpasswd: cannot lock /etc/passwd; try again later.
Loaded plugins: fastestmirror
You need to be root to perform this command.
rm: cannot remove '/etc/my.cnf': Permission denied
Loaded plugins: fastestmirror
You need to be root to perform this command.
/start.sh: line 22: mysql_install_db: command not found
chown: invalid user: 'mysql:mysql'
/start.sh: line 24: /usr/bin/mysqld_safe: No such file or directory
mysql root password: Seeku2EiB7Sh
wordpress password: Shoo6ioshaid
/start.sh: line 36: /mysql-root-pw.txt: Permission denied
/start.sh: line 37: /wordpress-db-pw.txt: Permission denied
/start.sh: line 41: /var/www/html/wp-config.php: Permission denied
chown: cannot access '/var/www/html/wp-config.php': No such file or directory
/start.sh: line 60: mysqladmin: command not found
/start.sh: line 61: mysql: command not found
mysqld: no process found
2015-07-27 10:11:53,916 INFO RPC interface 'supervisor' initialized
2015-07-27 10:11:53,917 CRIT Server 'unix_http_server' running without any HTTP authentication checking
2015-07-27 10:11:53,917 INFO supervisord started with pid 33
2015-07-27 10:11:54,923 INFO spawned: 'httpd' with pid 36
2015-07-27 10:11:54,959 INFO spawned: 'sshd' with pid 37
2015-07-27 10:11:54,959 INFO spawnerr: can't find command '/usr/bin/mysqld_safe'
2015-07-27 10:11:55,064 INFO exited: sshd (exit status 1; not expected)
2015-07-27 10:11:55,310 INFO exited: httpd (exit status 1; not expected)
2015-07-27 10:11:56,316 INFO spawned: 'httpd' with pid 41
2015-07-27 10:11:56,317 INFO spawned: 'sshd' with pid 42
2015-07-27 10:11:56,318 INFO spawnerr: can't find command '/usr/bin/mysqld_safe'
2015-07-27 10:11:56,415 INFO exited: sshd (exit status 1; not expected)
2015-07-27 10:11:56,523 INFO exited: httpd (exit status 1; not expected)
2015-07-27 10:11:58,525 INFO spawned: 'httpd' with pid 46
2015-07-27 10:11:58,529 INFO spawned: 'sshd' with pid 47
2015-07-27 10:11:58,531 INFO spawnerr: can't find command '/usr/bin/mysqld_safe'
2015-07-27 10:11:58,585 INFO exited: sshd (exit status 1; not expected)
2015-07-27 10:11:58,743 INFO exited: httpd (exit status 1; not expected)
2015-07-27 10:12:01,752 INFO spawned: 'httpd' with pid 51
2015-07-27 10:12:01,753 INFO spawned: 'sshd' with pid 52
2015-07-27 10:12:01,753 INFO spawnerr: can't find command '/usr/bin/mysqld_safe'
2015-07-27 10:12:01,753 INFO gave up: mysqld entered FATAL state, too many start retries too quickly
2015-07-27 10:12:01,941 INFO exited: sshd (exit status 1; not expected)
2015-07-27 10:12:02,070 INFO gave up: sshd entered FATAL state, too many start retries too quickly
2015-07-27 10:12:02,127 INFO exited: httpd (exit status 1; not expected)
2015-07-27 10:12:03,133 INFO gave up: httpd entered FATAL state, too many start retries too quickly

Version-Release number of selected component (if applicable):
openshift v1.0.3-140-g9d20f55
kubernetes v1.0.0

How reproducible:
always

steps to Reproduce:
1.Login with user alice and create a new project.
$ oc new-project wordpress 
2.Create an app using https://github.com/openshift/centos7-wordpress.git in project.
$ oc new-app -l name=wordpress https://github.com/openshift/centos7-wordpress.git
3. Check the build will go complete
4. Curl the service on port 80 or 22
5. Check pod log
oc logs centos7-wordpress-1-owdzh

Actual results:
4. No returns
5. There are some errors in pod log.

Expected results:
Reasonable result should return

Additional info:
Comment 4 Ben Parees 2016-01-19 16:13:47 EST
Erik, bump...i'd like to get this off our radar if it's not going to be maintained.  (or if it's fixed...)
Comment 5 Ben Parees 2016-01-19 16:14:29 EST
it's worth noting we have this now too:
https://github.com/openshift/origin/tree/master/examples/wordpress/template
Comment 6 Erik M Jacobs 2016-01-19 18:27:14 EST
Yeah, I think this is probably worth deprecating/dropping. It was a good example during the beta timeframe but a lot has changed.

Note You need to log in before you can comment on or make changes to this bug.